Please check the System Requirements for your product(s) to find the latest information on the operating systems that are supported.

Windows 8 (32-bit and 64-bit) is compatible with:
  • The Raiser's Edge version 7.93.5782
  • The Raiser's Edge version 7.94.6116
  • The Raiser's Edge version 7.95.6283
  • The Education Edge / The Financial Edge / Blackbaud Student Information System version 7.86.93 and 7.87.164
For compatibility with Windows 8.1, please see Knowledgebase article 66726.